Escrever cota de um ponto e a distância em relação a outro ponto

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Escreve a cota do ponto inicial e a distância entre eles (você ainda poderá alinhar o texto na direção definida pelos pontos)

(DEFUN C:CotarColetores ()

(command “cecolor” “2”)

(setq p1 (getpoint “P1”))

(setq z (rtos (nth 2 p1) 2 2))

(setq z (strcat “(” (strcat z “)”)))

(command “text” p1 “0.5” “0” z)

(setq p2 (getpoint “P2”))

(setvar “osmode” 0)

(command “dist” p1 p2)

(setq d (rtos (getvar “distance”) 2 1))

(setq d (strcat d “m”))

(setq x1 (nth 0 p1))

(setq y1 (nth 1 p1))

(setq x2 (nth 0 p2))

(setq y2 (nth 1 p2))

(setq pt (list (/ (+ x1 x2) 2) (/ (+ y1 y2) 2)))

(command “text” pt “0.5” pause d)

(command “aperture” “5”)

(setvar “osmode” 1)

)

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair /  Alterar )

Foto do Google

Você está comentando utilizando sua conta Google. Sair /  Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair /  Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair /  Alterar )

Conectando a %s